package gov.va.med.esr.service;

import gov.va.med.esr.service.external.VHICCardInfo;
import gov.va.med.fw.service.ServiceException;

import java.io.Serializable;

public interface VHICCardInfoService extends Serializable {

	public VHICCardInfo getVHICCardStatusFromVHIC() throws ServiceException;
	public VHICCardInfo getVhicCardInfo();
	public void setVhicCardInfo(VHICCardInfo vhicCardInfo);
	public String getCurVhicCardID();
	public String getCurVhicCardStatus();
	public void resetVhicCardInfo(String vpid);
	

}
